<script>
function eliminar_linea(numajutmp,numlinea,importe,cdgbar,cdgbar_combo)


{

	if (confirm(" Desea eliminar esta linea ? "))

	
		document.getElementById("frame_datos").src="eliminar_linea_modificar.php?numajutmp="+numajutmp+"&numlinea="+numlinea+"&cdgbar="+cdgbar+"&cdgbar_combo="+cdgbar_combo;
}


	

function pon_prefijo(filas) {


	parent.document.formulario_lineas.filas.value=filas;


}






function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


function actualizar_articulo(numfac,numlinea, cdgbar,cantidad){



	//posicion=(numlinea*16)-30;
	//parent.document.formulario_lineas.posicion.value=posicion; /// indica la posicion del scroll bar
  //  var elmnt = document.getElementById("xdetalleAW");  // NOMBRE DEL DIV DONDE PERTENECE EL SCROLL 
   // elmnt.scrollLeft =posicion; 
   // elmnt.scrollTop =posicion;
	
	if (cantidad <0) {
		
		 alert("Favor verifique cantidad no pueder ser igual o menor a cero")
		  document.getElementById("frame_datos").src="actualizar_articulo.php?codfacturatmp="+numfac+"&numlinea=" + numlinea+"&cdgbar=" + cdgbar+"&cantidad=" + cantidad;
		 // parent.document.getElementById("form_busqueda").submit();
		//document.getElementById("cantidad").value("");
			document.getElementById("cantidad").value("");
			
			
			//parent.document.form_busqueda.totalpago.value=basetotpago;
		document.getElementById("cantidad").focus();
		document.getElementById("cantidad").select();
		 
} else {


  document.getElementById("frame_datos").src="actualizar_articulo.php?codfacturatmp="+numfac+"&numlinea="+numlinea+"&cdgbar="+cdgbar+"&cantidad="+cantidad;
 

}
		}
		




 function  actualizar(numajutmp,numlinea,cdgbar,precio){


	document.getElementById("frame_datos").src="actualizar_articulo.php?numajutmp="+numajutmp+"&numlinea="+numlinea+"&cdgbar="+cdgbar+"&precio="+precio;


}

</script>

<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
<body onLoad="nobackbutton();">
<?php
include ("../conexion.php");
include ('validarnum.php');

	$baseimp       = 0;
	$baseiva       = 0;
	$basedescuento = 0;

	if (!isset($_POST["numajutmp"])) {  } else  { $numajutmp=$_POST["numajutmp"];}
	$numajutmp;
	$retorno=0;
    $modif  ="";
if ($modif<>1) {
		if (!isset($numajutmp)) { 
			$numajutmp=$_GET["numajutmp"]; 
			$retorno=1; }
		if ($retorno==0) {	
		
			$cdgbar    = $_POST["cdgbar"];
				

				if ($cdgbar<>""){
				
				$precio  = $_POST["cantidad"];
				$cosart    = $_POST["cosart"];
				$importe   = $_POST["importe"];
				$descuento = $_POST["descuento"];
				$mondes    = $_POST["mondes"];	
				$impuesto  = $_POST["impuesto"];				
				if ($impuesto <= 0  ) { $impuesto="0.00"; } else  { $impuesto  = $_POST["impuesto"]; }
				$dscart    = strtoupper($_POST["dscart"]);
				$preivi    = $importe + $impuesto ;
				
				
				
					if ($result = $mysqli->query("SELECT * FROM lista_precios_lineas_tmp WHERE codajuste='$numajutmp' and codigo='$cdgbar'  ")) {
   $filas = $result->num_rows;
   $result->close();
}


if ($filas>0 ) {
?>
<script>

alert("Atencion, Producto ya fue registrado con precio");

</script>

<?php

}else{



				
				 $sel_insert="INSERT INTO lista_precios_lineas_tmp (codajuste,dscart, numlinea,codigo,preivi) VALUES ('$numajutmp','$dscart','','$cdgbar','$precio')";
				$mysqli->query($sel_insert);
				
				}
				
		}
		
				
				
		}
}
 
?>
<div id="xdetalleAW">


  <iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
  </iframe>
  
 <table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
<?php

$contador=0;
$preivi2=0;
$baseimp=0;
$baseiva=0;
$basedescuento=0;

		
	//$consulta = "SELECT ajustes_inventario_lineas_tmp.*,web_1001.* FROM ajustes_inventario_lineas_tmp,web_1001 WHERE ajustes_inventario_lineas_tmp.codajuste='$numajutmp' AND ajustes_inventario_lineas_tmp.codigo=web_1001.cdgbar ORDER BY ajustes_inventario_lineas_tmp.numlinea ASC";
	
	 $consulta = "SELECT lista_precios_lineas_tmp.*,web_1001.* FROM lista_precios_lineas_tmp,web_1001 WHERE lista_precios_lineas_tmp.codajuste='$numajutmp' AND lista_precios_lineas_tmp.codigo=web_1001.cdgbar ORDER BY lista_precios_lineas_tmp.numlinea ASC";
	


if ($resultado = $mysqli->query($consulta)) 

    while ($fila2 = $resultado->fetch_assoc()) {
	
	    $numlinea = $fila2["numlinea"];
        $cdgbar = $fila2["CDGBAR"];
		$cdgbar_combo = 1;
        $dscart = $fila2["dscart"];
		$cantidad = $fila2["cantidad"];
		$cosart = $fila2["preivi"];
		$importe = $fila2["importe"];
		$impuesto = $fila2["impuesto"];
		$mondes = $fila2["mondes"];
		$cob_iv = $fila2["COB_IV"];
		$descuento= $fila2["dcto"];
	    $ivporc= $fila2["ivporc"]/100+1;
		
		
	$preivi2=$importe+$impuesto;	
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;

	
	if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } ?>
			<tr class="<?php echo $fondolinea?>">
				<td width="16%"><?php echo $cdgbar?></td>
				<td width="45%"><?php echo $dscart?></td>
				<td width="8%" class=""><div align="right"><?php //echo $cantidad?></div></td>  
				<td width="10%"><div align="right">
				<input type="text"   value="<?php echo number_format($cosart,2,".",",") ?>"  name="cdghac" id="cdghac"  onkeypress=""  style='text-align:right;' onChange="actualizar('<?php echo $numajutmp?>','<?php echo $numlinea?>','<?php echo $cdgbar ?>',this.value)" onKeyDown="return decimales(this, event)"    maxlength="25" size="10" autocomplete="off"    />
	
		</div></td>
				
				
				<td width="8%" class=""><div align="right"><?php //echo number_format($descuento,2,".",",")?></td>
				<td width="15%"><div align="right"><?php //echo number_format($importe,2,".",",")?></div></td>
				<td width="5%"><div align="center"><a href="javascript:eliminar_linea(<?php echo $numajutmp?>,<?php echo $numlinea?>,<?php echo $importe ?>,<?php echo $cdgbar ?>,<?php echo $cdgbar_combo ?>)"><img src="../img/Symbol-Delete_32x32-32.png" width="25" height="25"  border="0"></a></div></td>
			</tr>
					

			
<?php 

					
$contador++;


$preciotot=$baseimp+$baseiva-$basedescuento;





}

if ($query_busqueda = $mysqli->query("SELECT * FROM lista_precios_lineas_tmp WHERE  codajuste=$numajutmp" )) {
   $filas = $query_busqueda->num_rows;
  $query_busqueda->close();
}
?>

	<script languaje="javascript">
	pon_prefijo("<?php echo $filas ?>");
	
	</script>


</table>

</div>


</body>
</html>